---
title: 'Delete a website user attribute'
description: 'Delete a website user attribute'
openapi: DELETE /api/website_user_attributes/{id}
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`DELETE /api/website_user_attributes/{id}` — path parameters: `id`

`DELETE https://admin.snagsolutions.io/api/website_user_attributes/{id}`

Delete a website user attribute

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required)

## Request body

- Content type: `application/json`
  - request body (object)
    - `id` (string, uuid, required) — Unique identifier for the website user attribute
    - `organizationId` (string, uuid, required) — Unique identifier for the organization
    - `websiteId` (string, uuid, required) — Unique identifier for the website

## Response 200

200
  - response (object)
    - `message` (string, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
